#
# spec file for package python-python-rapidjson
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-rapidjson
Version:        0.9.1
Release:        bp155.2.13
Summary:        Python wrapper around rapidjson
License:        MIT
URL:            https://github.com/python-rapidjson/python-rapidjson
Source:         https://github.com/python-rapidjson/python-rapidjson/archive/v%{version}.tar.gz#/python-rapidjson-%{version}.tar.gz
Patch0:         rapidjson-system.patch
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python-rpm-macros
BuildRequires:  rapidjson-devel
%python_subpackages

%description
RapidJSON is a C++ JSON parser and serialization library. This
module wraps it into a Python 3 extension, exposing its
serialization/deserialization (to/from either bytes, str or file-like
instances) and JSON Schema validation capabilities.

%prep
%setup -q -n python-rapidjson-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
export LANG=en_US.UTF-8
%pytest_arch tests

%files %{python_files}
%doc CHANGE* README*
%license LICENSE*
%{python_sitearch}/*

%changelog
* Tue Mar 10 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.1:
  * Compatibility fix for Python 3.8 (issue #125)
  * Fix memory leak in case of failed validation (issue 126)
* Mon Oct  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call to run on sitearch not sitelib
* Wed Aug 28 2019 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.8.0
  * New serialization option bytes_mode to control how bytes instances gets encoded
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.7.2:
  * Hopefully fix the memory leak when loading from a stream (issue #117)
* Mon Jun 10 2019 Jan Engelhardt <jengelh@inai.de>
- Trim bias from description.
* Wed Jun  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.7.1:
  * Raise a more specific exception on loading errors, JSONDecodeError, instead of generic ValueError (issue #118)
  * Fix optimization path when using OrderedDicts (issue #119)
  * Fix serialization of IntEnums (issue #121)
  * Raise correct exception in code samples (PR #109), thanks to Thomas Dähling
  * Fix compilation with system-wide install of rapidjson (issue #110)
  * Use current master version of rapidjson, that includes a fix for its issue #1368 and issue #1336, and cures several compilation warnings as well (issue #112 and issue #107)
  * Fix memory leak when using object_hook (issue #115)
- Add patch to enforce use of system rapidjson:
  * rapidjson-system.patch
* Thu Nov 22 2018 Karol Babioch <kbabioch@suse.de>
- Initial packaging of version 0.6.3
